* NEWS: Clarify that `smtpmail-starttls-credentials' doesn't exist.
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7
PE
1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2011 Free Software Foundation, Inc.
3#
4# This file is free software, distributed under the terms of the GNU
5# General Public License. As a special exception to the GNU General
6# Public License, this file may be distributed as part of a program
7# that contains a configuration script generated by Autoconf, under
8# the same distribution terms as the rest of that program.
9#
10# Generated by gnulib-tool.
11#
12# This file represents the compiled summary of the specification in
13# gnulib-cache.m4. It lists the computed macro invocations that need
14# to be invoked from configure.ac.
15# In projects that use version control, this file can be treated like
16# other built files.
17
18
19# This macro should be invoked from ./configure.in, in the section
20# "Checks for programs", right after AC_PROG_CC, and certainly before
21# any checks for libraries, header files, types and library functions.
22AC_DEFUN([gl_EARLY],
23[
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
28 AC_REQUIRE([AC_PROG_RANLIB])
fa23e171 29 # Code from module alloca-opt:
7ec98caf 30 # Code from module allocator:
1fd182f0
PE
31 # Code from module arg-nonnull:
32 # Code from module c++defs:
d1fdcab7 33 # Code from module careadlinkat:
942f733f 34 # Code from module crypto/md5:
13c3daa4 35 # Code from module crypto/sha1:
3ce9d0d4
LL
36 # Code from module crypto/sha256:
37 # Code from module crypto/sha512:
36f13e16 38 # Code from module dosname:
f737437b 39 # Code from module dtoastr:
7a7ef429 40 # Code from module dup2:
1fd182f0
PE
41 # Code from module extensions:
42 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 43 # Code from module filemode:
79ab4b7f 44 # Code from module getloadavg:
e275c824
PE
45 # Code from module getopt-gnu:
46 # Code from module getopt-posix:
47 # Code from module gettext-h:
67342916 48 # Code from module ignore-value:
1fd182f0 49 # Code from module include_next:
a451f14b 50 # Code from module intprops:
b6f5355a 51 # Code from module inttypes-incomplete:
ae0d7250 52 # Code from module lstat:
1fd182f0
PE
53 # Code from module mktime:
54 # Code from module multiarch:
ae0d7250 55 # Code from module readlink:
401bf9b4 56 # Code from module socklen:
d1fdcab7 57 # Code from module ssize_t:
ae0d7250 58 # Code from module stat:
c378da0b
PE
59 # Code from module stdarg:
60 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
61 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
62 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
63 dnl shouldn't hurt, though installers are on their own to set c99 mode.
64 AC_REQUIRE([AC_PROG_CC_STDC])
16c3e636 65 # Code from module stdbool:
1fd182f0 66 # Code from module stddef:
5f90be1b 67 # Code from module stdint:
77185bdf 68 # Code from module stdio:
79ab4b7f 69 # Code from module stdlib:
16c3e636 70 # Code from module strftime:
b6f5355a 71 # Code from module strtoull:
a8a2bb29 72 # Code from module strtoumax:
ae0d7250 73 # Code from module symlink:
5fa4ac76 74 # Code from module sys_stat:
1fd182f0
PE
75 # Code from module time:
76 # Code from module time_r:
3ce9d0d4 77 # Code from module u64:
e275c824 78 # Code from module unistd:
a8a2bb29 79 # Code from module verify:
1fd182f0 80 # Code from module warn-on-use:
743c80a7
PE
81])
82
83# This macro should be invoked from ./configure.in, in the section
84# "Check for header files, types and library functions".
85AC_DEFUN([gl_INIT],
86[
87 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
88 gl_cond_libtool=false
89 gl_libdeps=
90 gl_ltlibdeps=
91 gl_m4_base='m4'
92 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
93 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
94 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
95 m4_pushdef([gl_LIBSOURCES_LIST], [])
96 m4_pushdef([gl_LIBSOURCES_DIR], [])
97 gl_COMMON
98 gl_source_base='lib'
fa23e171 99gl_FUNC_ALLOCA
19548d08
PE
100AC_CHECK_FUNCS_ONCE([readlinkat])
101gl_MD5
13c3daa4 102gl_SHA1
3ce9d0d4
LL
103gl_SHA256
104gl_SHA512
19548d08 105AC_REQUIRE([gl_C99_STRTOLD])
7a7ef429
PE
106gl_FUNC_DUP2
107gl_UNISTD_MODULE_INDICATOR([dup2])
19548d08 108gl_FILEMODE
6a3e57bb 109gl_GETLOADAVG
8aeb5be9
PE
110if test $HAVE_GETLOADAVG = 0; then
111 AC_LIBOBJ([getloadavg])
112 gl_PREREQ_GETLOADAVG
113fi
19548d08
PE
114gl_STDLIB_MODULE_INDICATOR([getloadavg])
115gl_FUNC_GETOPT_GNU
8aeb5be9
PE
116if test $REPLACE_GETOPT = 1; then
117 AC_LIBOBJ([getopt])
118 AC_LIBOBJ([getopt1])
119 gl_PREREQ_GETOPT
120fi
19548d08
PE
121gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
122gl_FUNC_GETOPT_POSIX
8aeb5be9
PE
123if test $REPLACE_GETOPT = 1; then
124 AC_LIBOBJ([getopt])
125 AC_LIBOBJ([getopt1])
126 gl_PREREQ_GETOPT
127fi
19548d08
PE
128AC_REQUIRE([AC_C_INLINE])
129gl_INTTYPES_INCOMPLETE
130gl_FUNC_LSTAT
8aeb5be9
PE
131if test $REPLACE_LSTAT = 1; then
132 AC_LIBOBJ([lstat])
133 gl_PREREQ_LSTAT
134fi
19548d08
PE
135gl_SYS_STAT_MODULE_INDICATOR([lstat])
136gl_FUNC_MKTIME
8aeb5be9
PE
137if test $REPLACE_MKTIME = 1; then
138 AC_LIBOBJ([mktime])
139 gl_PREREQ_MKTIME
140fi
19548d08
PE
141gl_TIME_MODULE_INDICATOR([mktime])
142gl_MULTIARCH
143gl_FUNC_READLINK
8aeb5be9
PE
144if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
145 AC_LIBOBJ([readlink])
146 gl_PREREQ_READLINK
147fi
19548d08
PE
148gl_UNISTD_MODULE_INDICATOR([readlink])
149gl_TYPE_SOCKLEN_T
150gt_TYPE_SSIZE_T
c378da0b 151gl_STDARG_H
19548d08
PE
152AM_STDBOOL_H
153gl_STDDEF_H
154gl_STDINT_H
155gl_STDIO_H
156gl_STDLIB_H
157gl_FUNC_GNU_STRFTIME
158gl_FUNC_STRTOUMAX
8aeb5be9
PE
159if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
160 AC_LIBOBJ([strtoumax])
161 gl_PREREQ_STRTOUMAX
162fi
19548d08
PE
163gl_INTTYPES_MODULE_INDICATOR([strtoumax])
164gl_FUNC_SYMLINK
8aeb5be9
PE
165if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
166 AC_LIBOBJ([symlink])
167fi
19548d08
PE
168gl_UNISTD_MODULE_INDICATOR([symlink])
169gl_HEADER_SYS_STAT_H
170AC_PROG_MKDIR_P
171gl_HEADER_TIME_H
172gl_TIME_R
8aeb5be9
PE
173if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
174 AC_LIBOBJ([time_r])
175 gl_PREREQ_TIME_R
176fi
19548d08 177gl_TIME_MODULE_INDICATOR([time_r])
3ce9d0d4 178AC_REQUIRE([AC_C_INLINE])
19548d08
PE
179gl_UNISTD_H
180 gl_gnulib_enabled_dosname=false
181 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
182 gl_gnulib_enabled_stat=false
183 gl_gnulib_enabled_strtoull=false
184 gl_gnulib_enabled_verify=false
185 func_gl_gnulib_m4code_dosname ()
186 {
187 if ! $gl_gnulib_enabled_dosname; then
188 gl_gnulib_enabled_dosname=true
189 fi
190 }
191 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
192 {
193 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
194AC_SUBST([LIBINTL])
195AC_SUBST([LTLIBINTL])
196 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
197 fi
198 }
199 func_gl_gnulib_m4code_stat ()
200 {
201 if ! $gl_gnulib_enabled_stat; then
202gl_FUNC_STAT
8aeb5be9
PE
203if test $REPLACE_STAT = 1; then
204 AC_LIBOBJ([stat])
205 gl_PREREQ_STAT
206fi
19548d08
PE
207gl_SYS_STAT_MODULE_INDICATOR([stat])
208 gl_gnulib_enabled_stat=true
209 if $condition; then
210 func_gl_gnulib_m4code_dosname
211 fi
6dd7e400
PE
212 if $condition; then
213 func_gl_gnulib_m4code_verify
214 fi
19548d08
PE
215 fi
216 }
217 func_gl_gnulib_m4code_strtoull ()
218 {
219 if ! $gl_gnulib_enabled_strtoull; then
220gl_FUNC_STRTOULL
8aeb5be9
PE
221if test $HAVE_STRTOULL = 0; then
222 AC_LIBOBJ([strtoull])
223 gl_PREREQ_STRTOULL
224fi
19548d08
PE
225gl_STDLIB_MODULE_INDICATOR([strtoull])
226 gl_gnulib_enabled_strtoull=true
227 fi
228 }
229 func_gl_gnulib_m4code_verify ()
230 {
231 if ! $gl_gnulib_enabled_verify; then
232 gl_gnulib_enabled_verify=true
233 fi
234 }
8aeb5be9 235 if test $REPLACE_GETOPT = 1; then
19548d08
PE
236 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
237 fi
238 if test $REPLACE_LSTAT = 1; then
239 func_gl_gnulib_m4code_dosname
240 fi
241 if test $REPLACE_LSTAT = 1; then
242 func_gl_gnulib_m4code_stat
243 fi
244 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
245 func_gl_gnulib_m4code_stat
246 fi
247 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
248 func_gl_gnulib_m4code_verify
249 fi
250 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
251 func_gl_gnulib_m4code_strtoull
252 fi
253 m4_pattern_allow([^gl_GNULIB_ENABLED_])
254 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
255 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
256 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
257 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
258 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
259 # End of code from modules
260 m4_ifval(gl_LIBSOURCES_LIST, [
261 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
262 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
263 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
264 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
265 exit 1
266 fi
267 done])dnl
268 m4_if(m4_sysval, [0], [],
269 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
270 ])
271 m4_popdef([gl_LIBSOURCES_DIR])
272 m4_popdef([gl_LIBSOURCES_LIST])
273 m4_popdef([AC_LIBSOURCES])
274 m4_popdef([AC_REPLACE_FUNCS])
275 m4_popdef([AC_LIBOBJ])
276 AC_CONFIG_COMMANDS_PRE([
277 gl_libobjs=
278 gl_ltlibobjs=
279 if test -n "$gl_LIBOBJS"; then
280 # Remove the extension.
281 sed_drop_objext='s/\.o$//;s/\.obj$//'
282 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
283 gl_libobjs="$gl_libobjs $i.$ac_objext"
284 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
285 done
286 fi
287 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
288 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
289 ])
290 gltests_libdeps=
291 gltests_ltlibdeps=
292 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
293 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
294 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
295 m4_pushdef([gltests_LIBSOURCES_LIST], [])
296 m4_pushdef([gltests_LIBSOURCES_DIR], [])
297 gl_COMMON
298 gl_source_base='tests'
299changequote(,)dnl
300 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
301changequote([, ])dnl
302 AC_SUBST([gltests_WITNESS])
303 gl_module_indicator_condition=$gltests_WITNESS
304 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 305 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
306 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
307 m4_ifval(gltests_LIBSOURCES_LIST, [
308 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
309 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
310 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
311 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
312 exit 1
313 fi
314 done])dnl
315 m4_if(m4_sysval, [0], [],
316 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
317 ])
318 m4_popdef([gltests_LIBSOURCES_DIR])
319 m4_popdef([gltests_LIBSOURCES_LIST])
320 m4_popdef([AC_LIBSOURCES])
321 m4_popdef([AC_REPLACE_FUNCS])
322 m4_popdef([AC_LIBOBJ])
323 AC_CONFIG_COMMANDS_PRE([
324 gltests_libobjs=
325 gltests_ltlibobjs=
326 if test -n "$gltests_LIBOBJS"; then
327 # Remove the extension.
328 sed_drop_objext='s/\.o$//;s/\.obj$//'
329 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
330 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
331 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
332 done
333 fi
334 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
335 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
336 ])
337 LIBGNU_LIBDEPS="$gl_libdeps"
338 AC_SUBST([LIBGNU_LIBDEPS])
339 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
340 AC_SUBST([LIBGNU_LTLIBDEPS])
341])
342
343# Like AC_LIBOBJ, except that the module name goes
344# into gl_LIBOBJS instead of into LIBOBJS.
345AC_DEFUN([gl_LIBOBJ], [
346 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
347 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
348])
349
350# Like AC_REPLACE_FUNCS, except that the module name goes
351# into gl_LIBOBJS instead of into LIBOBJS.
352AC_DEFUN([gl_REPLACE_FUNCS], [
353 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
354 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
355])
356
357# Like AC_LIBSOURCES, except the directory where the source file is
358# expected is derived from the gnulib-tool parameterization,
359# and alloca is special cased (for the alloca-opt module).
360# We could also entirely rely on EXTRA_lib..._SOURCES.
361AC_DEFUN([gl_LIBSOURCES], [
362 m4_foreach([_gl_NAME], [$1], [
363 m4_if(_gl_NAME, [alloca.c], [], [
364 m4_define([gl_LIBSOURCES_DIR], [lib])
365 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
366 ])
367 ])
368])
369
370# Like AC_LIBOBJ, except that the module name goes
371# into gltests_LIBOBJS instead of into LIBOBJS.
372AC_DEFUN([gltests_LIBOBJ], [
373 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
374 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
375])
376
377# Like AC_REPLACE_FUNCS, except that the module name goes
378# into gltests_LIBOBJS instead of into LIBOBJS.
379AC_DEFUN([gltests_REPLACE_FUNCS], [
380 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
381 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
382])
383
384# Like AC_LIBSOURCES, except the directory where the source file is
385# expected is derived from the gnulib-tool parameterization,
386# and alloca is special cased (for the alloca-opt module).
387# We could also entirely rely on EXTRA_lib..._SOURCES.
388AC_DEFUN([gltests_LIBSOURCES], [
389 m4_foreach([_gl_NAME], [$1], [
390 m4_if(_gl_NAME, [alloca.c], [], [
391 m4_define([gltests_LIBSOURCES_DIR], [tests])
392 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
393 ])
394 ])
395])
396
397# This macro records the list of files which have been installed by
398# gnulib-tool and may be removed by future gnulib-tool invocations.
399AC_DEFUN([gl_FILE_LIST], [
1fd182f0
PE
400 build-aux/arg-nonnull.h
401 build-aux/c++defs.h
402 build-aux/warn-on-use.h
fa23e171 403 lib/alloca.in.h
7ec98caf 404 lib/allocator.c
d1fdcab7
PE
405 lib/allocator.h
406 lib/careadlinkat.c
407 lib/careadlinkat.h
36f13e16 408 lib/dosname.h
a451f14b 409 lib/dtoastr.c
7a7ef429 410 lib/dup2.c
5fa4ac76
PE
411 lib/filemode.c
412 lib/filemode.h
a451f14b
PE
413 lib/ftoastr.c
414 lib/ftoastr.h
79ab4b7f 415 lib/getloadavg.c
e275c824
PE
416 lib/getopt.c
417 lib/getopt.in.h
418 lib/getopt1.c
419 lib/getopt_int.h
420 lib/gettext.h
67342916 421 lib/ignore-value.h
a451f14b 422 lib/intprops.h
a8a2bb29 423 lib/inttypes.in.h
ae0d7250 424 lib/lstat.c
942f733f
PE
425 lib/md5.c
426 lib/md5.h
1fd182f0
PE
427 lib/mktime-internal.h
428 lib/mktime.c
ae0d7250 429 lib/readlink.c
13c3daa4
LL
430 lib/sha1.c
431 lib/sha1.h
3ce9d0d4
LL
432 lib/sha256.c
433 lib/sha256.h
434 lib/sha512.c
435 lib/sha512.h
ae0d7250 436 lib/stat.c
c378da0b 437 lib/stdarg.in.h
16c3e636 438 lib/stdbool.in.h
1fd182f0 439 lib/stddef.in.h
5f90be1b 440 lib/stdint.in.h
77185bdf 441 lib/stdio.in.h
79ab4b7f 442 lib/stdlib.in.h
16c3e636
PE
443 lib/strftime.c
444 lib/strftime.h
a8a2bb29
PE
445 lib/strtoimax.c
446 lib/strtol.c
a8a2bb29
PE
447 lib/strtoul.c
448 lib/strtoull.c
449 lib/strtoumax.c
ae0d7250 450 lib/symlink.c
5fa4ac76 451 lib/sys_stat.in.h
1fd182f0
PE
452 lib/time.in.h
453 lib/time_r.c
3ce9d0d4 454 lib/u64.h
e275c824 455 lib/unistd.in.h
a8a2bb29 456 lib/verify.h
743c80a7 457 m4/00gnulib.m4
fa23e171 458 m4/alloca.m4
a451f14b 459 m4/c-strtod.m4
7a7ef429 460 m4/dup2.m4
1fd182f0 461 m4/extensions.m4
5fa4ac76 462 m4/filemode.m4
79ab4b7f 463 m4/getloadavg.m4
e275c824 464 m4/getopt.m4
743c80a7 465 m4/gnulib-common.m4
1fd182f0 466 m4/include_next.m4
a8a2bb29 467 m4/inttypes.m4
5f90be1b 468 m4/longlong.m4
ae0d7250 469 m4/lstat.m4
942f733f 470 m4/md5.m4
1fd182f0
PE
471 m4/mktime.m4
472 m4/multiarch.m4
ae0d7250 473 m4/readlink.m4
13c3daa4 474 m4/sha1.m4
3ce9d0d4
LL
475 m4/sha256.m4
476 m4/sha512.m4
401bf9b4 477 m4/socklen.m4
d1fdcab7 478 m4/ssize_t.m4
5fa4ac76 479 m4/st_dm_mode.m4
ae0d7250 480 m4/stat.m4
c378da0b 481 m4/stdarg.m4
16c3e636 482 m4/stdbool.m4
1fd182f0 483 m4/stddef_h.m4
5f90be1b 484 m4/stdint.m4
77185bdf 485 m4/stdio_h.m4
79ab4b7f 486 m4/stdlib_h.m4
16c3e636 487 m4/strftime.m4
a8a2bb29
PE
488 m4/strtoull.m4
489 m4/strtoumax.m4
ae0d7250 490 m4/symlink.m4
5fa4ac76 491 m4/sys_stat_h.m4
1fd182f0
PE
492 m4/time_h.m4
493 m4/time_r.m4
16c3e636 494 m4/tm_gmtoff.m4
e275c824 495 m4/unistd_h.m4
1fd182f0
PE
496 m4/warn-on-use.m4
497 m4/wchar_t.m4
743c80a7 498])